bcr_test_module:
  module_path: examples/basic_usage
  matrix:
    linux_platform: ["debian10", "ubuntu2004"]
  tasks:
    run_linux_test_module:
      name: "Build linux test"
      platform: ${{ linux_platform }}
      bazel: "7.x"
      build_flags:
        - "--copt=-pthread"
        - "--linkopt=-pthread"
      test_flags:
        - "--copt=-pthread"
        - "--linkopt=-pthread"
      build_targets:
        - "@libusb//:libusb_dynamic"
        - "//:example"
    run_windows_test_module:
      name: "Build Windows test"
      platform: "windows"
      bazel: "7.x"
      build_flags:
        - "--copt=-DHAVE_STRUCT_TIMESPEC=1"
        - "--linkopt=-DEFAULTLIB:User32.Lib"
      test_flags:
        - "--copt=-DHAVE_STRUCT_TIMESPEC=1"
        - "--linkopt=-DEFAULTLIB:User32.Lib"
      build_targets:
        - "@libusb//:libusb_dynamic"
    run_macos_test_module:
      name: "Run macOS test"
      platform: "macos"
      bazel: "7.x"
      build_targets:
        - "@libusb//:libusb_dynamic"
      test_targets:
        - "//:example"
